Bug 1566406 - old image (openshift3/node) should be replaced with new one (openshift3/ose-node) in 3.10
Summary: old image (openshift3/node) should be replaced with new one (openshift3/ose-n...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.10.0
Assignee: Scott Dodson
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 09:12 UTC by Weihua Meng
Modified: 2018-04-23 12:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-04-23 12:47:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Weihua Meng 2018-04-12 09:12:36 UTC
Description of problem:
old image (openshift3/node) should be replaced with new one (openshift3/ose-node) in 3.10
The image name has been renamed

those pods which are using this image are: 
sync pods in openshift-node project
ovs pods and sdn pods in openshift-sdn project

Version-Release number of the following components:
openshift-ansible-3.10.0-0.20.0.git.0.37bab0f.el7.noarch.rpm
# openshift version
openshift v3.10.0-0.20.0
kubernetes v1.10.0+b81c8f8
etcd 3.2.16

How reproducible:
Always

Steps to Reproduce:
1. install ocp v3.10.0-0.20

Actual results:
old image used 
      image: registry.reg-aws.openshift.com:443/openshift3/node:v3.10

# docker images
REPOSITORY                                                      TAG                 IMAGE ID            CREATED             SIZE
registry.reg-aws.openshift.com:443/openshift3/node              v3.10               4635523a5195        2 weeks ago         1.81 GB

Expected results:
use new image
# docker images
REPOSITORY                                                      TAG                 IMAGE ID            CREATED             SIZE
registry.reg-aws.openshift.com:443/openshift3/ose-node          v3.10               55b2a82ea0f8        7 hours ago         1.9 GB

Comment 1 Johnny Liu 2018-04-18 03:21:50 UTC
Adding testblocker keyword

If want to workaround it, QE have to fork a new branch, and update the image name to the new one, this is need a lot of manual interaction, really inconvenient for testing.

Comment 2 Scott Dodson 2018-04-18 21:30:52 UTC
Should be addressed in 

https://github.com/openshift/openshift-ansible/pull/8003

Comment 3 Weihua Meng 2018-04-21 08:38:18 UTC
Fixed.
openshift-ansible-3.10.0-0.26.0.git.0.dbc127c.el7

ovs pods and sdn pods in openshift-sdn project are using right image now.
The testblocker is unlocked.

Although image of sync pods in openshift-node project is not updated for now,
it is not blocking test.
# oc get pods -o yaml -n openshift-node | grep image:
      image: registry.reg-aws.openshift.com:443/openshift3/node:v3.10

Sorry about I mixed those things up in one bug.
I move this bug to verified and open a lower severity bug to track that. bz1570257


Note You need to log in before you can comment on or make changes to this bug.